#
# spec file for package cellwriter
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           cellwriter
Summary:        Character-based handwriting input panel
Version:        1.3.4 
Release:        61.4
Source0:        %{name}-%{version}.tar.bz2
# feel free to improve this patch and please upstream it
Patch0:         %{name}-no-copy-dt-needed-entries.patch
Url:            http://risujin.org/cellwriter/
Group:          System/GUI/GNOME
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
License:        GPL-2.0+
BuildRequires:  automake gtk2-devel update-desktop-files xorg-x11-devel
Requires:       gtk2

%description
CellWriter is a grid-entry natural handwriting input panel. As you
write characters into the cells, your writing is instantly recognized
at the character level. When you press Enter on the panel, the input
you entered is sent to the currently focused application as if typed on
the keyboard.

%prep 
%setup -q
%patch0 -p1

%build 
# added with no-copy-dt-needed-entries.patch, can be removed then
autoreconf -fi
%configure \
	 --without-gnome
make %{?_smp_mflags}

%install
%makeinstall
%suse_update_desktop_file -i -G "Handwriting Input Panel" cellwriter Utility Accessibility 

%files 
%defattr(-,root,root) 
%doc README NEWS COPYING AUTHORS 
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%name
%{_datadir}/pixmaps/*
%{_datadir}/icons/hicolor/scalable/apps/cellwriter.svg
%{_datadir}/applications/*

%changelog
* Wed Nov 30 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Fri Sep  9 2011 pgajdos@suse.com
- build with --no-copy-dt-needed-entries
  * no-copy-dt-needed-entries.patch
* Sun Aug  2 2009 beineri@opensuse.org
- fix capitalization of GenericName in .desktop file
* Tue Jun 10 2008 dkukawka@suse.de
- updated to v1.3.4:
  - stroke.c, averages.c: Fixed two memory leak
* Thu Jan 31 2008 dkukawka@suse.de
- updated to v1.3.3
* Mon Nov 12 2007 dkukawka@suse.de
- updated to v1.3.1
* Fri Nov  2 2007 dkukawka@suse.de
- initial package v1.3.0
